Skip to main content

Endpoint

Authentication

  • Required header: api-key: <partner-api-key>

Headers

Request Body

Pagination Behavior

  1. First request: send filters (type/countries/size) without pageToken.
  2. If response has hasMore = true, call again with pageToken = nextPageToken.
  3. When passing both pageToken and filters, type/countries/size must match token values.

Example Request (First Page)

Example Request (Next Page)

Success Response

Response Field Notes

  • data.accommodations[].code is the accommodation code used by searchCriteria.destinations.accommodations[].code when search selector mode is destinations.accommodations

Common Errors

  • 400 Unsupported country: XX. Currently only US is supported
  • 400 Unsupported type
  • 400 Invalid pageToken format
  • 400 type in query must match type in pageToken
  • 400 countries in query must match countries in pageToken
  • 400 size in query must match size in pageToken
  • 401 pageToken does not belong to the current partner
  • 401 Invalid pageToken signature
  • 401 pageToken expired